       IDENTIFICATION DIVISION.                                        
       PROGRAM-ID. V2ACTDB.                                            
       ENVIRONMENT DIVISION.                                           
       DATA DIVISION.                                                  
       WORKING-STORAGE SECTION.                                        
                                                                       
           EXEC SQL INCLUDE SQLCA  END-EXEC.                           
                                                                       
       01 TMP PIC X(40).                                               
       01  SQL-MESSAGE.                                                
           05  MSG        PIC X(10).                                   
           05  RC         PIC X(10).                                   
                                                                       
       01 HV-CUSTNO       PIC S9(9) COMP.                              
       01 HV-ACCTNO       PIC S9(9) COMP.                              
       01 HV-BALANCE      PIC S9(6)V9(2) COMP-3.                       
                                                                       
       LINKAGE SECTION.                                                
       01  DFHCOMMAREA.                                                
           02  CUSTNO     PIC S99999.                                  
           02  ACCTNO     PIC S99999.                                  
           02  BALANCE    PIC S9999V99.                                
                                                                       
       PROCEDURE DIVISION.                                             
       START-PARA.                                                     
                                                                       
           MOVE 'SQLCODE: ' TO MSG.                                    
           MOVE 'V2ACTDB2 PROGRAM STARTED.' TO TMP.                    
           EXEC CICS WRITEQ TD QUEUE("CSMT") FROM(TMP) LENGTH(40) END-EXEC.       
                                                                       
           MOVE CUSTNO TO HV-CUSTNO.                                   
           MOVE 'SEARCHING WITH CUST #:' TO TMP.                       
           EXEC CICS WRITEQ TD QUEUE("CSMT") FROM(TMP) LENGTH(40) END-EXEC.       
           EXEC CICS WRITEQ TD QUEUE("CSMT") FROM(CUSTNO) LENGTH(5) END-EXEC.    

           EXEC SQL SELECT ACCT_NUMBER, BALANCE                        
                     INTO :HV-ACCTNO, :HV-BALANCE                      
                     FROM P390R.ACCOUNT                                
                     WHERE BALANCE IN                                   
                     (SELECT MAX(BALANCE) FROM P390R.ACCOUNT            
                     WHERE CUST_ID = :HV-CUSTNO) END-EXEC.              
                                                                        
           MOVE HV-ACCTNO TO ACCTNO.                                    
           MOVE HV-BALANCE TO BALANCE.                                  
                                                                        
           MOVE SQLCODE TO RC.                                          
           EXEC CICS WRITEQ TD QUEUE("CSMT") FROM(SQL-MESSAGE) LENGTH(20) END-EXEC.
                                                                        
           MOVE 'V2ACTDB2 PROGRAM STOPPED.' TO TMP.                     
           EXEC CICS WRITEQ TD QUEUE("CSMT") FROM(TMP) LENGTH(40) END-EXEC.        
                                                                        
           EXEC CICS RETURN                                             
           END-EXEC.                                                    